IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Lisp Discussion :

LISP : Clore automatiquement une ligne et hachurer la zone.


Sujet :

Lisp

  1. #1
    Nouveau Candidat au Club
    Homme Profil pro
    IUT Belfort
    Inscrit en
    janvier 2022
    Messages
    1
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : France, Côte d'Or (Bourgogne)

    Informations professionnelles :
    Activité : IUT Belfort
    Secteur : Bâtiment

    Informations forums :
    Inscription : janvier 2022
    Messages : 1
    Points : 1
    Points
    1
    Par défaut LISP : Clore automatiquement une ligne et hachurer la zone.
    Bonsoir à tous,
    Je rencontre un petit soucis avec le programme suivant :

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    (defun c:Aire_de_stockage (/ p0 p1 p2)
      ;; si l'utilisateur spécifie le premier point
      (if (setq p0 (getpoint "\nPremier point: "))
        (progn
          ;; on stocke le premier point
          (setq p1 p0)
          ;; tant que l'utilisateur spéciife le point suivant
          (while (setq p2 (getpoint p1 "\nPoint suivant: "))
    	;; on dessine la ligne
    	(command "_.line" p1 p2 "")
    	;; on affecte p2 à p1
    	(setq p1 p2)
          )
          ;; on ferme la polyligne
          (command "_.line" p1 p0 "")
        )
      )
      (princ)
    )
    Je souhaiterai dans un premier temps clore automatiquement la ligne afin de définir ma zone Aire de Stockage.
    Dans un second temps je voudrais hachurer automatiquement à la suite du programme la zone qui vient d'être fermée...

    Si quelqu'un peut m'apporter son aide...
    En vous remerciant par avance.

  2. #2
    Futur Membre du Club
    Homme Profil pro
    Étudiant
    Inscrit en
    avril 2019
    Messages
    3
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Belgique

    Informations professionnelles :
    Activité : Étudiant

    Informations forums :
    Inscription : avril 2019
    Messages : 3
    Points : 8
    Points
    8
    Par défaut
    Essaies un truc comme ca (je peux pas tester, j'ai pas autocad sous la main):

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    (command "_.pline")
    (while (setq p (getpoint)) (command p))
    (command "c") ; c pour close
    ; peut-être un (command "") pour sortir de la commande
    (command "_.hatch" "o" (entlast) "") ; o pour object sinon e pour entity, 'me souviens plus

Discussions similaires

  1. Réponses: 5
    Dernier message: 16/01/2015, 23h17
  2. [XL-2007] ajouter automatiquement une ligne à la première ligne
    Par Debutant10 dans le forum Macros et VBA Excel
    Réponses: 2
    Dernier message: 06/11/2011, 01h01
  3. [XL-2003] Remplir automatiquement une ligne en fonction d'une cellule
    Par Tonio68 dans le forum Excel
    Réponses: 8
    Dernier message: 25/03/2011, 19h51
  4. remplir automatiquement une ligne
    Par solaris13 dans le forum Macros et VBA Excel
    Réponses: 4
    Dernier message: 18/09/2010, 09h26
  5. Réponses: 11
    Dernier message: 10/03/2007, 03h01

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo